Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Message Library for HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.hl7.repository.impl
Class HL7ObjectTypeDefinitionDataImpl

    java.lang.Object
      com.stc.hl7.repository.impl.HL7ObjectImpl
          com.stc.hl7.repository.impl.HL7ObjectTypeDefinitionDataImpl

All Implemented Interfaces:
  HL7ObjectTypeDefinitionData, com.stc.repository.persistence.client.Marshalable, com.stc.repository.persistence.client.Persistable, com.stc.repository.persistence.client.PropertyChangePublisher, com.stc.repository.RepositoryObject, java.beans.PropertyChangeListener, java.util.EventListener

    public class HL7ObjectTypeDefinitionDataImpl

extends HL7ObjectImpl
implements HL7ObjectTypeDefinitionData

Contains the actual data of the OTD.

Author:
  nang

Field Summary
`static java.lang.String` | `ACCESS` Constant for Map
`static java.lang.String` | `DOCUMENTATION` Constant for Map
`static java.lang.String` | `OBJECT_TYPE_DEFINITION_TYPE` Constant for Map
`static java.lang.String` | `ORIGIN` Constant for Map
`static java.lang.String` | `OTD_LOCALIZED_INFOS` Constant for Map
`static java.lang.String` | `OTD_META_CONTAINER`
`static java.lang.String` | `OTD_WIZARD` Constant for Map
`static java.lang.String` | `SERIAL` Constant for Map
`static java.lang.String` | `STRUCTURE` Constant for Map
`static java.lang.String` | `TOP_NODE_ID` Constant for Map

Fields inherited from class com.stc.hl7.repository.impl.HL7ObjectImpl
`persistable`

Fields inherited from interface com.stc.repository.RepositoryObject
`RCS_ID`

Constructor Summary
`HL7ObjectTypeDefinitionDataImpl()` Constructs a DelegateObject object

Method Summary
`void` | `addExternalObjectTypeDefinition(com.stc.model.common.ObjectTypeDefinition entry)`
`(package private) void` | `addOTDLocalizedInfo(com.stc.model.common.OTDLocalizedInfo entry)` Adds the given OTDLocalizedInfo to the ObjectTypeDefinition.
`boolean` | `checkExternal(com.stc.model.common.ObjectTypeDefinition entry, java.util.HashMap map)` Check if the the OTD is one of the external OTD for this OTD, returns a map for those external OTD already checked.
`void` | `collectExternals(java.util.HashMap map)` Insert external OTD to the map if it's not exist.
`com.stc.model.common.OTDLocalizedInfo` | `createOTDLocalizedInfo(java.lang.String language, com.stc.model.common.ObjectTypeDefinition otd)`
`com.stc.model.common.OTDLocalizedInfo` | `deleteOTDLocalizedInfo(com.stc.model.common.OTDLocalizedInfo value)`
`java.lang.String` | `getAccess()`
`java.util.Collection` | `getAllExternalObjectTypeDefinitions()`
`java.lang.String` | `getDocumentation()`
`com.stc.model.common.ObjectTypeDefinition` | `getExternalObjectTypeDefinition(java.lang.String name)`
`java.util.Collection` | `getExternalObjectTypeDefinitions()`
`java.lang.String` | `getOrigin()`
`com.stc.model.common.OTDLocalizedInfo` | `getOTDLocalizedInfo(java.lang.String language)`
`java.util.Collection` | `getOTDLocalizedInfos()`
`java.lang.String` | `getOtdMetaContainer()`
`java.lang.String` | `getSerial()`
`java.lang.String` | `getStructure()`
`int` | `getTopNodeId()`
`boolean` | `isExternal(com.stc.model.common.ObjectTypeDefinition entry)`
`boolean` | `isMessageable()` `ccom.stc.egate.repository.ObjectTypeDefinition`
`boolean` | `isVersionable()`
`com.stc.model.common.ObjectTypeDefinition` | `removeExternalObjectTypeDefinition(com.stc.model.common.ObjectTypeDefinition entry)`
`(package private) com.stc.model.common.OTDLocalizedInfo` | `removeOTDLocalizedInfo(com.stc.model.common.OTDLocalizedInfo entry)` Removes the given OTDLocalizedInfo from the ObjectTypeDefinition.
`void` | `setAccess(java.lang.String value)`
`void` | `setDocumentation(java.lang.String value)`
`void` | `setOrigin(java.lang.String value)`
`void` | `setOtdMetaContainer(java.lang.String otdMetaContainer)`
`void` | `setSerial(java.lang.String value)`
`void` | `setStructure(java.lang.String value)`
`void` | `setTopNodeId(int value)`

Methods inherited from class com.stc.hl7.repository.impl.HL7ObjectImpl
`addPartOfValue, addPropertyChangeListener, addPropertyChangeListener, addPropertyChangeListeners, addReferenceValue, deleteReferenceCollection, deleteReferenceValue, deleteReferenceValue, equals, getACLInfo, getBlobProperty, getClassNameAlias, getClassNameAlias, getCreatedBy, getCreationDate, getCUDTracker, getDescription, getLastUpdatedBy, getLastUpdatedDate, getMarshalableSupport, getName, getOID, getOwnerOID, getPartOfCollection, getPartOfProperty, getPartOfValue, getPersistableSupport, getPropertyMap, getReferenceCollection, getReferenceID, getReferenceProperty, getReferenceValue, getRelationshipMap, getVersionInfo, hashCode, initializeOID, isHeaderResolved, isLocked, onDelete, onUnmarshalFinished, onUnmarshalStarting, propertyChange, removePartOfValue, removePartOfValue, removePropertyChangeListener, removePropertyChangeListener, removePropertyChangeListeners, removeReferenceValue, removeReferenceValue, resolve, setACLInfo, setBlobProperty, setCreatedBy, setCreationDate, setCUDTracker, setDescription, setHeaderResolved, setLastUpdatedBy, setLastUpdatedDate, setName, setOID, setOwnerOID, setPartOfProperty, setPropertyMap, setReferenceID, setReferenceProperty, setResolver, setUnresolved, setVersionInfo, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.stc.repository.RepositoryObject
`getCUDTracker, onDelete, setCUDTracker`

Methods inherited from interface com.stc.repository.persistence.client.Persistable
`getACLInfo, getCreatedBy, getCreationDate, getDescription, getLastUpdatedBy, getLastUpdatedDate, getName, getOID, getOwnerOID, getPersistableSupport, getVersionInfo, isHeaderResolved, isLocked, resolve, setACLInfo, setCreatedBy, setCreationDate, setDescription, setHeaderResolved, setLastUpdatedBy, setLastUpdatedDate, setName, setOID, setResolver, setUnresolved, setVersionInfo`

Methods inherited from interface com.stc.repository.persistence.client.Marshalable
`getClassNameAlias, getMarshalableSupport, getPropertyMap, getReferenceID, getRelationshipMap, onUnmarshalFinished, onUnmarshalStarting, setPropertyMap, setReferenceID`

Methods inherited from interface com.stc.repository.persistence.client.PropertyChangePublisher
`addPropertyChangeListener, addPropertyChangeListener, addPropertyChangeListeners, removePropertyChangeListener, removePropertyChangeListener, removePropertyChangeListeners`

Methods inherited from interface java.beans.PropertyChangeListener
`propertyChange`

Field Detail

### ACCESS

    public static final java.lang.String ACCESS

  Constant for Map

  See Also:
    Constant Field Values

### DOCUMENTATION

    public static final java.lang.String DOCUMENTATION

  Constant for Map

  See Also:
    Constant Field Values

### ORIGIN

    public static final java.lang.String ORIGIN

  Constant for Map

  See Also:
    Constant Field Values

### STRUCTURE

    public static final java.lang.String STRUCTURE

  Constant for Map

  See Also:
    Constant Field Values

### OBJECT_TYPE_DEFINITION_TYPE

    public static final java.lang.String OBJECT_TYPE_DEFINITION_TYPE

  Constant for Map

  See Also:
    Constant Field Values

### SERIAL

    public static final java.lang.String SERIAL

  Constant for Map

  See Also:
    Constant Field Values

### TOP_NODE_ID

    public static final java.lang.String TOP_NODE_ID

  Constant for Map

  See Also:
    Constant Field Values

### OTD_WIZARD

    public static final java.lang.String OTD_WIZARD

  Constant for Map

  See Also:
    Constant Field Values

### OTD_LOCALIZED_INFOS

    public static final java.lang.String OTD_LOCALIZED_INFOS

  Constant for Map

  See Also:
    Constant Field Values

### OTD_META_CONTAINER

    public static final java.lang.String OTD_META_CONTAINER

See Also:
  Constant Field Values

Constructor Detail

### HL7ObjectTypeDefinitionDataImpl

    public HL7ObjectTypeDefinitionDataImpl()

  Constructs a DelegateObject object

Method Detail

### setAccess

    public void setAccess(java.lang.String value)
                   throws com.stc.repository.RepositoryException

  Specified by:
    `setAccess` in interface `HL7ObjectTypeDefinitionData`
  Throws:
    `com.stc.repository.RepositoryException`

### getAccess

    public java.lang.String getAccess()
                               throws com.stc.repository.RepositoryException

  Specified by:
    `getAccess` in interface `HL7ObjectTypeDefinitionData`
  Throws:
    `com.stc.repository.RepositoryException`

### getAllExternalObjectTypeDefinitions

    public java.util.Collection getAllExternalObjectTypeDefinitions()
                                                             throws com.stc.repository.RepositoryException

  Specified by:
    `getAllExternalObjectTypeDefinitions` in interface `HL7ObjectTypeDefinitionData`
  Throws:
    `com.stc.repository.RepositoryException`

### setDocumentation

    public void setDocumentation(java.lang.String value)
                          throws com.stc.repository.RepositoryException

  Specified by:
    `setDocumentation` in interface `HL7ObjectTypeDefinitionData`
  Throws:
    `com.stc.repository.RepositoryException`

### getDocumentation

    public java.lang.String getDocumentation()
                                      throws com.stc.repository.RepositoryException

  Specified by:
    `getDocumentation` in interface `HL7ObjectTypeDefinitionData`
  Throws:
    `com.stc.repository.RepositoryException`

### isExternal

    public boolean isExternal(com.stc.model.common.ObjectTypeDefinition entry)
                       throws com.stc.repository.RepositoryException

  Specified by:
    `isExternal` in interface `HL7ObjectTypeDefinitionData`
  Throws:
    `com.stc.repository.RepositoryException`

### getExternalObjectTypeDefinition

    public com.stc.model.common.ObjectTypeDefinition getExternalObjectTypeDefinition(java.lang.String name)
                                                                              throws com.stc.repository.RepositoryException

  Specified by:
    `getExternalObjectTypeDefinition` in interface `HL7ObjectTypeDefinitionData`
  Throws:
    `com.stc.repository.RepositoryException`

### getExternalObjectTypeDefinitions

    public java.util.Collection getExternalObjectTypeDefinitions()
                                                          throws com.stc.repository.RepositoryException

  Specified by:
    `getExternalObjectTypeDefinitions` in interface `HL7ObjectTypeDefinitionData`
  Throws:
    `com.stc.repository.RepositoryException`

### getOTDLocalizedInfo

    public com.stc.model.common.OTDLocalizedInfo getOTDLocalizedInfo(java.lang.String language)
                                                              throws com.stc.repository.RepositoryException

  Specified by:
    `getOTDLocalizedInfo` in interface `HL7ObjectTypeDefinitionData`
  Throws:
    `com.stc.repository.RepositoryException`

### getOTDLocalizedInfos

    public java.util.Collection getOTDLocalizedInfos()
                                              throws com.stc.repository.RepositoryException

  Specified by:
    `getOTDLocalizedInfos` in interface `HL7ObjectTypeDefinitionData`
  Throws:
    `com.stc.repository.RepositoryException`

### setOrigin

    public void setOrigin(java.lang.String value)
                   throws com.stc.repository.RepositoryException

  Specified by:
    `setOrigin` in interface `HL7ObjectTypeDefinitionData`
  Throws:
    `com.stc.repository.RepositoryException`

### getOrigin

    public java.lang.String getOrigin()
                               throws com.stc.repository.RepositoryException

  Specified by:
    `getOrigin` in interface `HL7ObjectTypeDefinitionData`
  Throws:
    `com.stc.repository.RepositoryException`

### setSerial

    public void setSerial(java.lang.String value)
                   throws com.stc.repository.RepositoryException

  Specified by:
    `setSerial` in interface `HL7ObjectTypeDefinitionData`
  Throws:
    `com.stc.repository.RepositoryException`

### getSerial

    public java.lang.String getSerial()
                               throws com.stc.repository.RepositoryException

  Specified by:
    `getSerial` in interface `HL7ObjectTypeDefinitionData`
  Throws:
    `com.stc.repository.RepositoryException`

### setStructure

    public void setStructure(java.lang.String value)
                      throws com.stc.repository.RepositoryException

  Specified by:
    `setStructure` in interface `HL7ObjectTypeDefinitionData`
  Throws:
    `com.stc.repository.RepositoryException`

### getStructure

    public java.lang.String getStructure()
                                  throws com.stc.repository.RepositoryException

  Specified by:
    `getStructure` in interface `HL7ObjectTypeDefinitionData`
  Throws:
    `com.stc.repository.RepositoryException`

### setTopNodeId

    public void setTopNodeId(int value)
                      throws com.stc.repository.RepositoryException

  Specified by:
    `setTopNodeId` in interface `HL7ObjectTypeDefinitionData`
  Throws:
    `com.stc.repository.RepositoryException`

### getTopNodeId

    public int getTopNodeId()
                     throws com.stc.repository.RepositoryException

  Specified by:
    `getTopNodeId` in interface `HL7ObjectTypeDefinitionData`
  Throws:
    `com.stc.repository.RepositoryException`

### addExternalObjectTypeDefinition

    public void addExternalObjectTypeDefinition(com.stc.model.common.ObjectTypeDefinition entry)
                                         throws com.stc.repository.RepositoryException

  Specified by:
    `addExternalObjectTypeDefinition` in interface `HL7ObjectTypeDefinitionData`
  Throws:
    `com.stc.repository.RepositoryException`

### checkExternal

    public boolean checkExternal(com.stc.model.common.ObjectTypeDefinition entry,
                                 java.util.HashMap map)
                          throws com.stc.repository.RepositoryException

  Check if the the OTD is one of the external OTD for this OTD, returns a map for those external OTD already checked.

  Specified by:
    `checkExternal` in interface `HL7ObjectTypeDefinitionData`
  Parameters:
    `entry` - an OTD
    `map` - map for checked External OTD which doesn't match the criteria
  Returns:
    boolean true if the entry is one of the exteral OTD
  Throws:
    `com.stc.repository.RepositoryException` - if access to repository was failed.

### collectExternals

    public void collectExternals(java.util.HashMap map)
                          throws com.stc.repository.RepositoryException

  Insert external OTD to the map if it's not exist.

  Specified by:
    `collectExternals` in interface `HL7ObjectTypeDefinitionData`
  Parameters:
    `map` - map to store the exteral OTD
  Throws:
    `com.stc.repository.RepositoryException` - if access to repository was failed.

### createOTDLocalizedInfo

    public com.stc.model.common.OTDLocalizedInfo createOTDLocalizedInfo(java.lang.String language,
                                                                        com.stc.model.common.ObjectTypeDefinition otd)
                                                                 throws com.stc.repository.RepositoryException

  Specified by:
    `createOTDLocalizedInfo` in interface `HL7ObjectTypeDefinitionData`
  Throws:
    `com.stc.repository.RepositoryException`

### deleteOTDLocalizedInfo

    public com.stc.model.common.OTDLocalizedInfo deleteOTDLocalizedInfo(com.stc.model.common.OTDLocalizedInfo value)
                                                                 throws com.stc.repository.RepositoryException

  Specified by:
    `deleteOTDLocalizedInfo` in interface `HL7ObjectTypeDefinitionData`
  Throws:
    `com.stc.repository.RepositoryException`

### removeExternalObjectTypeDefinition

    public com.stc.model.common.ObjectTypeDefinition removeExternalObjectTypeDefinition(com.stc.model.common.ObjectTypeDefinition entry)
                                                                                 throws com.stc.repository.RepositoryException

  Specified by:
    `removeExternalObjectTypeDefinition` in interface `HL7ObjectTypeDefinitionData`
  Throws:
    `com.stc.repository.RepositoryException`

### addOTDLocalizedInfo

    void addOTDLocalizedInfo(com.stc.model.common.OTDLocalizedInfo entry)
                       throws com.stc.repository.RepositoryException

  Adds the given OTDLocalizedInfo to the ObjectTypeDefinition.

  Parameters:
    `entry` - the OTDLocalizedInfo
  Throws:
    `com.stc.repository.RepositoryException` - if this operation fails
    `java.lang.IllegalArgumentException` - if this operation fails

### removeOTDLocalizedInfo

    com.stc.model.common.OTDLocalizedInfo removeOTDLocalizedInfo(com.stc.model.common.OTDLocalizedInfo entry)
                                                           throws com.stc.repository.RepositoryException

  Removes the given OTDLocalizedInfo from the ObjectTypeDefinition.

  Parameters:
    `entry` - the OTDLocalizedInfo
  Returns:
    the removed OTDLocalizedInfo or null if the removal was failed.
  Throws:
    `com.stc.repository.RepositoryException` - if this operation fails

### isVersionable

    public boolean isVersionable()

  Specified by:
    `isVersionable` in interface `HL7ObjectTypeDefinitionData`
  Specified by:
    `isVersionable` in interface `com.stc.repository.persistence.client.Persistable`
  Overrides:
    `isVersionable` in class `HL7ObjectImpl`
  See Also:
    `Persistable.isVersionable()`

### isMessageable

    public boolean isMessageable()
                          throws com.stc.repository.RepositoryException

  `ccom.stc.egate.repository.ObjectTypeDefinition`

  Specified by:
    `isMessageable` in interface `HL7ObjectTypeDefinitionData`
  Throws:
    `com.stc.repository.RepositoryException`

### getOtdMetaContainer

    public java.lang.String getOtdMetaContainer()
                                         throws com.stc.repository.RepositoryException

  Specified by:
    `getOtdMetaContainer` in interface `HL7ObjectTypeDefinitionData`
  Throws:
    `com.stc.repository.RepositoryException`

### setOtdMetaContainer

    public void setOtdMetaContainer(java.lang.String otdMetaContainer)
                             throws com.stc.repository.RepositoryException

  Specified by:
    `setOtdMetaContainer` in interface `HL7ObjectTypeDefinitionData`
  Throws:
    `com.stc.repository.RepositoryException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Message Library for HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD